sub mc1000keymapupdate():
  dim t00, t01 as ubyte
  t00=1
  for t01=0 to 7
    out($20),$0E
    out($60),(bnot t00)
    out($20),$0F
    poke $0117+t01,in($40)
    t00=t00 shl 1 '-  *2 ?
    next
  end sub

